PHP Manual
Prev |  | Next

# PDOStatement->setAttribute()

(no version information, might be only in CVS)

PDOStatement->setAttribute() -- Set a statement attribute

## Description

class PDOStatement {
bool setAttribute ( int attribute, mixed value )
}

Sets an attribute on the statement. Currently, no generic attributes are set but only driver specific:

- `PDO::ATTR_CURSOR_NAME` (Firebird and ODBC specific): Set the name of cursor for `UPDATE ... WHERE CURRENT OF`.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

PDO->getAttribute()
PDO->setAttribute()
PDOStatement->getAttribute()

Prev | Home | Next
PDOStatement->rowCount() | Up | PDOStatement->setFetchMode()